Skip to main content

Get your API keys

Your API requests are authenticated using API keys. Any request that doesn’t include an API key will return an error. You can generate an API key from your Account page at any time.

Make your first request

To make your first request, send an authenticated request to the /me endpoint. This will return your user account details.

Retrieve your user account details

GET https://api.sitespeak.ai/v1/meRetrieves your user account details and validates that your token is active.

Headers

NameTypeDescription
Authorization*StringBearer
curl -X GET https://api.sitespeak.ai/v1/me \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Response

{
  "user": {
    "id": "",
    "name": "Your Name",
    "email": "your.email@example.com",
    "social_id": null,
    "social_type": null,
    "current_team_id": null,
    "profile_photo_path": null,
    "created_at": "2023-06-20T18:05:18.000000Z",
    "updated_at": "2023-09-24T12:11:48.000000Z",
    "avatar": "",
    "profile_photo_url": ""
  }
}

API Reference

Dive into the specifics of each API endpoint by checking out our complete documentation:

Chatbot

All methods associated with a chatbot

Conversation History

Retrieve conversation history from a chatbot

Updated Answers

Retrieve, create and delete updated answers

Leads

Retrieve leads captured by a chatbot

Suggested Messages

Retrieve the suggested messages for a chatbot

Query

Query a chatbot and get responses

Sources

Get the training sources for a chatbot

User

Methods associated with a user account
Last modified on January 28, 2026